Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Filestorage implementation storing files in a S3 API compatible storage
Bundle-SymbolicName: com.openexchange.filestore.s3
Bundle-Version: 8
Bundle-Vendor: OX Software GmbH
Bundle-RequiredExecutionEnvironment: JavaSE-17
Import-Package: com.amazonaws,
 com.amazonaws.auth,
 com.amazonaws.auth.policy,
 com.amazonaws.auth.policy.actions,
 com.amazonaws.auth.policy.conditions,
 com.amazonaws.client.builder,
 com.amazonaws.handlers,
 com.amazonaws.http,
 com.amazonaws.internal,
 com.amazonaws.metrics,
 com.amazonaws.regions,
 com.amazonaws.retry,
 com.amazonaws.services.s3,
 com.amazonaws.services.s3.internal,
 com.amazonaws.services.s3.metrics,
 com.amazonaws.services.s3.model,
 com.amazonaws.services.securitytoken,
 com.amazonaws.services.securitytoken.internal,
 com.amazonaws.services.securitytoken.model,
 com.amazonaws.services.securitytoken.model.transform,
 com.amazonaws.util,
 com.google.common.cache,
 com.google.common.collect,
 com.google.common.util.concurrent,
 com.openexchange.ajax.container,
 com.openexchange.cache.dynamic,
 com.openexchange.config,
 com.openexchange.config.lean,
 com.openexchange.configuration,
 com.openexchange.exception,
 com.openexchange.filestore,
 com.openexchange.filestore.utils,
 com.openexchange.groupware.filestore,
 com.openexchange.i18n,
 com.openexchange.java,
 com.openexchange.java.util,
 com.openexchange.keystore,
 com.openexchange.log,
 com.openexchange.metrics.micrometer,
 com.openexchange.net.ssl,
 com.openexchange.net.ssl.config,
 com.openexchange.osgi,
 com.openexchange.server,
 com.openexchange.systemproperties,
 com.openexchange.timer,
 com.openexchange.tools.arrays,
 com.openexchange.tools.encoding,
 io.micrometer.core.instrument,
 io.micrometer.core.instrument.composite,
 javax.crypto,
 javax.crypto.spec,
 javax.net,
 javax.net.ssl,
 javax.servlet.http,
 javax.xml.bind,
 javax.xml.bind.annotation,
 javax.xml.bind.annotation.adapters,
 javax.xml.bind.attachment,
 javax.xml.bind.helpers,
 javax.xml.bind.util,
 javax.xml.datatype,
 javax.xml.namespace,
 javax.xml.parsers,
 javax.xml.soap,
 javax.xml.stream,
 javax.xml.stream.events,
 javax.xml.stream.util,
 javax.xml.transform,
 javax.xml.transform.dom,
 javax.xml.transform.sax,
 javax.xml.transform.stax,
 javax.xml.transform.stream,
 javax.xml.ws,
 javax.xml.ws.handler,
 javax.xml.ws.handler.soap,
 javax.xml.ws.http,
 javax.xml.ws.soap,
 javax.xml.ws.spi,
 javax.xml.ws.spi.http,
 javax.xml.ws.wsaddressing,
 javax.xml.xpath,
 org.apache.commons.logging,
 org.apache.http,
 org.apache.http.auth,
 org.apache.http.client,
 org.apache.http.client.config,
 org.apache.http.client.entity,
 org.apache.http.client.methods,
 org.apache.http.client.params,
 org.apache.http.client.protocol,
 org.apache.http.client.utils,
 org.apache.http.concurrent,
 org.apache.http.config,
 org.apache.http.conn,
 org.apache.http.conn.params,
 org.apache.http.conn.routing,
 org.apache.http.conn.scheme,
 org.apache.http.conn.socket,
 org.apache.http.conn.ssl,
 org.apache.http.conn.util,
 org.apache.http.cookie,
 org.apache.http.entity,
 org.apache.http.impl,
 org.apache.http.impl.auth,
 org.apache.http.impl.client,
 org.apache.http.impl.conn,
 org.apache.http.impl.cookie,
 org.apache.http.message,
 org.apache.http.params,
 org.apache.http.pool,
 org.apache.http.protocol,
 org.apache.http.util,
 org.osgi.framework,
 org.osgi.util.tracker,
 org.slf4j
Bundle-Activator: com.openexchange.filestore.s3.osgi.S3Activator
Automatic-Module-Name: com.openexchange.filestore.s3
